Bug 1783459 (CVE-2019-19524) - CVE-2019-19524 kernel: a malicious USB device in the drivers/input/ff-memless.c leads to use-after-free
Summary: CVE-2019-19524 kernel: a malicious USB device in the drivers/input/ff-memless...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-19524
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1815021 1815022 1815024 1815025 1783460 1815020 1815023
Blocks: 1783461
TreeView+ depends on / blocked
 
Reported: 2019-12-13 19:27 UTC by msiddiqu
Modified: 2020-05-12 16:32 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free flaw was found in the Linux kernel’s input device driver functionality when unplugging a device. A user with physical access could use this flaw to crash the system.
Clone Of:
Environment:
Last Closed: 2020-05-12 16:32:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2104 None None None 2020-05-12 15:12:32 UTC

Description msiddiqu 2019-12-13 19:27:45 UTC
In the Linux kernel, there is a use-after-free bug that can be caused by a malicious USB device in the drivers/input/ff-memless.c

References: 

http://www.openwall.com/lists/oss-security/2019/12/03/4
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.3.12
http://seclists.org/oss-sec/2019/q4/115

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=fa3a5a1880c91bb92594ad42dfe9eedad7996b86

Comment 1 msiddiqu 2019-12-13 19:28:08 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1783460]

Comment 2 Justin M. Forbes 2019-12-16 16:53:18 UTC
This is fixed for Fedora in the 5.3.12 stable kernel update.

Comment 3 Alex 2020-03-19 10:23:29 UTC
Mitigation:

To mitigate this issue, prevent module ff-memless from being loaded. Please see https://access.redhat.com/solutions/41278 for how to blacklist a kernel module to prevent it from loading automatically.

Comment 6 errata-xmlrpc 2020-05-12 15:12:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:2104 https://access.redhat.com/errata/RHSA-2020:2104

Comment 7 Product Security DevOps Team 2020-05-12 16:32:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-19524


Note You need to log in before you can comment on or make changes to this bug.